Subject: Re: bug#58605: 29.0.50; Commit 2a2f5530fa2 breaks ldap-search-internal

From: Filipp Gunbin <[email-masked]>
Date: Thu, 20 Oct 2022 20:58:38 +0300

Hi,

Jens, did you by chance modify ldap-ldapsearch-args?  Its default value
contains "-LLL" which suppresses noise like "search: 2" that you see.

I've now pushed the fix to master, could you please try?

Juri,

On 20/10/2022 11:12 +0300, Juri Linkov wrote:

>> commit 2a2f5530fa230e2b994be5683e63763833bb6a0a breaks
>> ldap-search-internal for searches with empty results.
>
> I confirm that ldap search is broken.  When the output contains for example:
>
>   dn: cn=admin,dc=example,dc=com
>
> then it raises the error:
>
>   insert-file-contents: Opening input file: No such file or directory,
>   ~/cn=admin,dc=example,dc=com

"dn" at the start of each block is handled specially, as it should be
the only attribute whose value is not written to file (by "-tt"
ldapsearch option).

> I guess this whole block
>
> 	      (with-current-buffer bufval
> 		(erase-buffer)
> 		(set-buffer-multibyte nil)
> 		(insert-file-contents-literally value)
> 		(delete-file value)
> 		(setq value (buffer-string)))
>
> should be executed only on a condition that checks that value contains "file://".

Agreed.

Thanks.
Filipp